Type to search.

Clear the searchable snapshots shared cache

  • POST /{index}/_searchable_snapshots/cache/clear
  • POST /_searchable_snapshots/cache/clear
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview since 7.10 This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Clear indices and data streams from the shared cache for partially mounted indices.

Read the reference documentation

Required privileges

Index privileges manage
Cluster privileges manage

Path parameters

index union string | string[] optional

A comma-separated list of data streams, indices, and aliases to clear from the cache. It supports wildcards (*).

Leave it out to use /_searchable_snapshots/cache/clear.

Query parameters

expand_wildcards union oneOf · default: open

Whether to expand wildcard expression to concrete indices that are open, closed or both

Supported values include:

  • all: Match any data stream or index, including hidden ones.
  • open: Match open, non-hidden indices. Also matches any non-hidden data stream.
  • closed: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  • hidden: Match hidden data streams and hidden indices. Must be combined with open, closed, or both.
  • none: Wildcard expressions are not accepted.
Values: all open closed hidden none
allow_no_indices boolean

Whether to ignore if a wildcard indices expression resolves into no concrete indices. (This includes _all string or when no indices have been specified)

ignore_unavailable boolean

Whether specified concrete indices should be ignored when unavailable (missing or closed)

Response

application/json

Response Type: object